#include <iostream>
#include <string>

using namespace std;

int brojslova[26];

int main()
{
    int N;
    string natpis;
    cin >> N;
    cin >> natpis;
    string abeceda = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    int brojacabeceda = 0;
    unsigned long long int komb = 1;
    int flagslova = 0;
    int flagpogresan = 0;
    int m = 0;
    for (int i = 0; i < N; i++)
    {
        if (brojslova[brojacabeceda] != 0 && natpis[i] != abeceda[brojacabeceda])
        {
            brojacabeceda++;
        }
        if (natpis[i] == abeceda[brojacabeceda])
        {
            brojslova[brojacabeceda]++;
            if (brojslova[brojacabeceda] > 1)
            {
                flagslova = 1;
            }
        }
    }
    if (flagslova == 0)
    {
        if(N < 26)
        {
            m = N;
        }
        else
        {
            m = 26;
        }
        for (int i = 0; i < m; i++)
        {
            if (natpis[i] != abeceda[i])
            {
                flagpogresan = 1;
            }
        }
        if (flagpogresan == 1)
        {
            komb = 1;
        }
        else
        {
            komb = 0;
        }
    }
    else if (flagslova == 1)
    {
        if(N < 26)
        {
            m = N;
        }
        else
        {
            m = 26;
        }
        for (int i = 0; i < m; i++)
        {
            komb = komb * brojslova[i];
        }
    }
    cout << komb % 1000000007;
}